## GtkVScale GtkVScale — A vertical slider widget for selecting a value from a range |

## Functions

GtkWidget * | gtk_vscale_new ()
GtkWidget * | gtk_vscale_new_with_range ()

## Types and Values

struct | GtkVScale

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkRange
                    ╰── GtkScale
                        ╰── GtkVScale

## Implemented Interfaces

GtkVScale implements AtkImplementor, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkVScale widget is used to allow the user to select a value using a vertical slider. To create one, use `gtk_hscale_new_with_range()`.

The position to show the current value, and the number of decimal places shown can be set using the parent GtkScale class’s functions.

GtkVScale has been deprecated, use GtkScale instead.

## Functions

### gtk_vscale_new ()

    GtkWidget *
    gtk_vscale_new (GtkAdjustment *adjustment);

`gtk_vscale_new` has been deprecated since version 3.2 and should not be used in newly-written code.

Use `gtk_scale_new()` with `GTK_ORIENTATION_VERTICAL` instead

Creates a new GtkVScale.

#### Parameters

adjustment | the GtkAdjustment which sets the range of the scale. |

#### Returns

a new GtkVScale.

### gtk_vscale_new_with_range ()

    GtkWidget *
    gtk_vscale_new_with_range (gdouble min,
                               gdouble max,
                               gdouble step);

`gtk_vscale_new_with_range` has been deprecated since version 3.2 and should not be used in newly-written code.

Use `gtk_scale_new_with_range()` with `GTK_ORIENTATION_VERTICAL` instead

Creates a new vertical scale widget that lets the user input a number between `min` and `max` (including `min` and `max` ) with the increment `step` . `step` must be nonzero; it’s the distance the slider moves when using the arrow keys to adjust the scale value.

Note that the way in which the precision is derived works best if `step` is a power of ten. If the resulting precision is not suitable for your needs, use `gtk_scale_set_digits()` to correct it.

#### Parameters

min | minimum value |
max | maximum value |
step | step increment (tick size) used with keyboard shortcuts |

#### Returns

a new GtkVScale

## Types and Values

### struct GtkVScale

    struct GtkVScale;

The GtkVScale struct contains private data only, and should be accessed using the functions below.